%define upstream_name    Chemistry-MolecularMass
%define upstream_version 0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for calculating
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Chemistry::MolecularMass is an Object Oriented Perl module for calculating
molcular mass of chemical compounds implemented with Perl and C.

%prep
%setup -q -n Chemistry

%build
cd MolecularMass/
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
cd MolecularMass/
%make test

%install
cd MolecularMass/
%makeinstall_std

%files
%doc MolecularMass/MANIFEST MolecularMass/README MolecularMass/Changes
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Wed Dec 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 178327
- imported package perl-Chemistry-MolecularMass

